Bug 39082 - stat can not handle files > 2 GB
Summary: stat can not handle files > 2 GB
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: stat   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-04 11:38 UTC by Andreas Helke
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-04 11:38:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Helke 2001-05-04 11:38:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; I; Linux 2.2.7 i686)

Description of problem:
If I run stat on a file > 2 GB I get back the following error message:
Bigtext: Value too large for defined data type

How reproducible:
Always

Steps to Reproduce:
1. Create 3 GB Textfile called Bigtext
2. stat Bigtext

	

Actual Results:  Bigtext: Value too large for defined data type

Expected Results:  Normal stat file informations

Additional info:

more and less don't work with these files and produce the same error
message

Comment 1 Ngo Than 2001-05-06 21:12:56 UTC
It's fixed in stat-2.4-1. You will find it in the rawhide .


Note You need to log in before you can comment on or make changes to this bug.